Subject: Re: [Bitcoin-development] Detailed gitian build guide

From: devrandom <[email-masked]>
Date: Thu, 03 Apr 2014 09:01:58 -0700

On Thu, 2014-04-03 at 07:51 +0200, Wladimir wrote:
> 
> On Thu, Apr 3, 2014 at 6:47 AM, devrandom <[email-masked]>
> wrote:
>         Nice!
>         
>         I wonder how much of this could be scripted.
> 
> 
> Everything, probably, using vmbuilder (and/or vagrant as Nick Simpson
> suggests). But that's not the point here. It is to provide exact steps
> that people can follow to get a basic (virtual) machine that they can
> use to do gitian builds.

Understood.
> 
> I didn't want to end up with a
> gitian-builder-that-builds-a-gitian-builder :-) The host machine may
> not even have any scripting languages installed (in the case of
> Windows).

Yes, I can see the turtles there.
> 
> 
> It may be possible to script *some* parts (most of the quoted bash
> script is runnable as script) without automating the entire process,
> but I hope that over time we can make Gitian itself easier to
> use/setup, so that less steps are needed in the first place.

Understood. :)  I would definitely like to see in Gitian any
improvements that make it easier for newcomers to get started.
> Wladimir

-- 
Miron / devrandom